Download it now!
Bug 31361 - RTF: Page layout (footer) changed after RTF import + save
Summary: RTF: Page layout (footer) changed after RTF import + save
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-03 10:18 UTC by André Schnabel
Modified: 2013-11-23 13:12 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
original version of the rtf (79.68 KB, application/rtf)
2010-11-03 10:18 UTC, André Schnabel
Details
same document saved using LibO (212.59 KB, application/rtf)
2010-11-03 10:18 UTC, André Schnabel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description André Schnabel 2010-11-03 10:18:04 UTC
Created attachment 40019 [details]
original version of the rtf

For the attached example RTF document the page Layout (borders and footer size) is changed. So that the Document now has 3 instead of original 2 pages.

Original layout is:
- lower border - 1.5 cm
- footer distance - 0.9cm

Layout after import/export is:
- lower border - 3.0cm
- footer distance - 0.0cm

Problem occures in LibO build from sources as of 2010-10-01, including *new RTF export*. The old (OOo) RTF export implementation kept the page layout correctly.
Comment 1 André Schnabel 2010-11-03 10:18:49 UTC
Created attachment 40020 [details]
same document saved using LibO
Comment 2 Katarina Behrens 2010-12-07 02:12:08 UTC
Miklos, your area?
Comment 3 Miklos Vajna 2010-12-07 18:02:58 UTC
Hi André,

I fixed header/footer positions before 3.3rc1, with this commit:

http://cgit.freedesktop.org/libreoffice/writer/commit/?h=libreoffice-3-3&id=43eda75d48ecf27b8ad433460892da26c0655f5e

(That contains the backport of commit 41db759d6926 from the CWS.)

Please someone verify, then we can close this bugreport.

Thanks.
Comment 4 André Schnabel 2010-12-08 07:30:06 UTC
fixed found in RC1 (although there are some more issues, but these need to be reported seperately)
Comment 5 André Schnabel 2010-12-08 07:30:32 UTC
verified in LibO 3.3RC1 -> closed